remove errcheck

The existing harness was only for aws, which fails now that aws is gone.
This commit is contained in:
James Bardin 2017-06-12 10:54:04 -04:00
parent 7e7f53954d
commit 1bd0205e49
2 changed files with 2 additions and 30 deletions

View File

@ -38,7 +38,7 @@ plugin-dev: generate
mv $(GOPATH)/bin/$(PLUGIN) $(GOPATH)/bin/terraform-$(PLUGIN)
# test runs the unit tests
test: fmtcheck errcheck generate
test: fmtcheck generate
go test -i $(TEST) || exit 1
echo $(TEST) | \
xargs -t -n4 go test $(TESTARGS) -timeout=60s -parallel=4
@ -98,9 +98,6 @@ fmt:
fmtcheck:
@sh -c "'$(CURDIR)/scripts/gofmtcheck.sh'"
errcheck:
@sh -c "'$(CURDIR)/scripts/errcheck.sh'"
vendor-status:
@govendor status
@ -109,4 +106,4 @@ vendor-status:
# under parallel conditions.
.NOTPARALLEL:
.PHONY: bin core-dev core-test cover default dev errcheck fmt fmtcheck generate plugin-dev quickdev test-compile test testacc testrace tools vendor-status vet
.PHONY: bin core-dev core-test cover default dev fmt fmtcheck generate plugin-dev quickdev test-compile test testacc testrace tools vendor-status vet

View File

@ -1,25 +0,0 @@
#!/usr/bin/env bash
# Check gofmt
echo "==> Checking AWS provider for unchecked errors..."
echo "==> NOTE: at this time we only look for uncheck errors in the AWS package"
if ! which errcheck > /dev/null; then
echo "==> Installing errcheck..."
go get -u github.com/kisielk/errcheck
fi
err_files=$(errcheck -ignoretests -ignore \
'github.com/hashicorp/terraform/helper/schema:Set' \
-ignore 'bytes:.*' \
-ignore 'io:Close|Write' \
./builtin/providers/aws/...)
if [[ -n ${err_files} ]]; then
echo 'Unchecked errors found in the following places:'
echo "${err_files}"
echo "Please handle returned errors. You can check directly with \`make errcheck\`"
exit 1
fi
exit 0